{% extends "baseAdmin.html" %}
{% load static %}
{% block titulo %}
  .::Cuentas de Cierre
{% endblock titulo %}
{% block content1 %}
     
        <link href="{% static 'bootstrap-editable/css/bootstrap-editable.css' %}" rel="stylesheet"/>
     <script src="{% static 'bootstrap-editable/js/bootstrap-editable.min.js' %}"></script>
     

      <script type="text/javascript"> 
      $("#navCajaMaterial").attr('class','dropdown active');
        $("#navCuentasClientesVenta").attr('class','active');
      </script> 
      
          <div class="col-md-12 fondx">
              <div class="card fondxy">
                <div class="card-head card-head-xs style-default"> <strong>RESUMEN DE CUENTA CIERRE</strong></div>
                <div class="card-body ">
                
                  <div class="row">
                  <div class="col-md-6">
                   <div class="col-md-4 col-md-offset-1">
                      <h5>Lote/Fecha/Cliente:</h5>
                    </div>
                     <div class="col-md-7">
                       <div class="fg-line">
                          <div class="select">
                          <select class="form-control" id="comboFiltro"> 
                            <option value="-1">Seleccione un cierre</option> 
                          </select>
                          </div>
                          </div>
                      </div>
                  </div>
                  <div class="col-md-6"> 
                      <div class="col-md-7">
                        <div class="fg-line">
                        <input type="text" name="filtro" class="form-control" id="filtro" placeholder="Por DNI, Cliente">
                        </div>
                      </div> 
                       <div class="col-md-3">
                          <button type="button" id="btnFiltrar" class="btn btn-danger">
                              <i class="fa fa-search"></i>
                              Buscar
                          </button>
                      </div> 
                  </div>
                  </div>
                  <br> 
                  <div class="row" >
                    <div class="col-md-12" >
                      <h4 class="alert alert-success hidden" align="center" id="textClient">
                      </h4>
                    </div>
                  </div>

                   <div id="modal_confirmacion1" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog">
                              <div class="modal-content">
                                
                                <div class="modal-body alert"role="alert">
                                  <div class="row">
                                    <div class="col-md-12">
                                      <div class="row grp_alr1" align="center">
                                        <h3 >Se eliminará el cierre permanentemente. ¿Desea Continuar?</h3>
                                      </div>
                                      
                                      <div class="row grp_pgs1" align="center" hidden>
                                          <h3>PROCESANDO...</h3>
                                      </div>
                                      <div class="row grp_pgs1" hidden>
                                        <div class="progress">
                                          <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                          </div>
                                        </div>
                                      </div>
                                      <div class="row grp_alr1">
                                       <div class="modal-footer">
                                        <div class="col-md-4 col-md-offset-2">
                                          <button type="button" class="btn btn-danger btn-block" data-dismiss="modal">Cancelar</button>
                                        </div>
                                        <div class="col-md-4">
                                          <button type="button" class="btn btn-primary btn-block" id="alert_aceptar1">Aceptar</button>
                                        </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->


                   <div id="modal_tipoCambio" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog">
                              <div class="modal-content">
                                <div class="row grp_alr2">
                                 <div class="modal-footer">
                                  <div class="col-md-4 col-md-offset-2">
                                 <div class="form-group">
                                  <div class="fg-line">
                                     <input type="text" class="form-control" id="txtTipoCambio" placeholder="Tipo de Cambio">
                                     <div class="form-control-feedback" style="text-align:left;" ></div>
                                  </div>
                                  </div>
                                  </div>
                                   <div class="col-md-6">
                                    <div class="col-md-6">
                                    <button type="button" class="btn btn-danger btn-block" data-dismiss="modal">Cancelar</button>
                                    </div>
                                     <div class="col-md-6">
                                    <button type="button" class="btn btn-info btn-block" id="btnTipoAceptar">Aceptar</button>
                                    </div>
                                  </div>
                                  </div>
                                </div>
                                  
                              </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->








                   <div id="modal_pago_adelantado" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" >
                              <div class="modal-dialog">
                                <div class="modal-content">
                                 <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                   
                                  </div>
                                      
                                  <div class="modal-body"role="alert">
                                     <div class="row">
                                          <div class="col-md-10 col-md-offset-1">
                                            <div class="panel panel-default">
                                              <div class="panel-body">
                                                <div class="row">
                                                  <div class="col-md-12">
                                                    <h4 class="bg-success" align="center">
                                                      <!--&nbsp;-->
                                                      RECIBO COBRO ADELANTADO
                                                    </h4>
                                                  </div>
                                                  <br></br>
                                                  <p></p>
                                                </div> 
                                                <div class="row">
                                                  <input type="hidden" id="idPagoAdelantado"></input>
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Fecha Operación:</h5>
                                                  </div>
                                                  <div class="col-md-6">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                      <input type="text" class="form-control" id="txtFechaOperacion" disabled>
                                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>
                                                    <p></p>
                                                  </div>
                                                </div>
                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Cliente:</h5>
                                                  </div>
                                                  <div class="col-md-6">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                       <input type="text" class="form-control" id="txtCliente" disabled>
                                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>                             
                                                    <p></p>
                                                  </div>
                                                </div> 

                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                      <h5>Lote:</h5>
                                                    </div>
                                                    <div class="col-md-6">
                                                      <div class="form-group">
                                                      <div class="fg-line">
                                                         <input type="text" class="form-control" id="txtLote" disabled>
                                                        <div class="form-control-feedback" style="text-align:left;" ></div>
                                                      </div>
                                                      </div>                             
                                                      <p></p>
                                                    </div>
                                                </div>
                                               
                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Monto:</h5>
                                                  </div>
                                                  <div class="col-md-6 ">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                      <input type="text" class="form-control" id="txtMonto" disabled>
                                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>                              
                                                    <p></p>
                                                  </div>                            
                                                </div>   
                                              
                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Observacion:</h5>
                                                  </div>
                                                  <div class="col-md-6">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                      <input type="text" class="form-control" id="txtObservacion">
                                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>                              
                                                    <p></p>
                                                  </div>
                                                  <div class="row">
                                                    <div class="col-md-4 col-md-offset-4">
                                                      <button class="btn btn-block btn-inverse waves-effect" type="button" id="btnImprimirPagoAdelantado"><i class="fa fa-print"></i>Imprimir</button>
                                                    </div>
                                                  </div>                            
                                                </div>
                                              </div>
                                            </div>  
                                          </div>
                                        </div> 
                                  </div>
                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->













                  <div id="modal_confirmacion2" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          
                          <div class="modal-body alert"role="alert">
                            <div class="row">
                              <div class="col-md-12">
                                <div class="row grp_alr2" align="center">
                                  <h3 >¿Esta seguro que desea eliminar el pago?</h3>
                                </div>
                                
                                <div class="row grp_pgs2" align="center" hidden>
                                    <h3>PROCESANDO...</h3>
                                </div>
                                <div class="row grp_pgs2" hidden>
                                  <div class="progress">
                                    <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                    </div>
                                  </div>
                                </div>
                                <div class="row grp_alr2">
                                 <div class="modal-footer">
                                  <div class="col-md-4 col-md-offset-2">
                                    <button type="button" class="btn btn-danger btn-block" data-dismiss="modal">Cancelar</button>
                                  </div>
                                  <div class="col-md-4">
                                    <button type="button" class="btn btn-primary btn-block" id="alert_aceptar2">Aceptar</button>
                                  </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div><!-- /.modal-content -->
                      </div><!-- /.modal-dialog -->
                  </div><!-- /.modal -->


                  <div id="modalPagoAdelanto" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-body">
                            <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                              <h5 align="center"><b>RECIBO PAGO</b></h5>
                              <table>
                                <tr nowrap>=============================</tr>
                              </table>
                              <b>Fecha : <p id="pFecha"></p></b>
                              <b>Cliente:</b>
                              <p id="pCliente"></p>
                              <b>Lote:</b>
                              <p id="pLote"></p>
                              <b>Concepto:</b>
                              <p id="pConcepto">Cobro Adelantado</p>
                              <b>Monto :</b>
                              <h4 id="pMonto"></h4>
                              <b>Observaciones:</b>
                              <p id="pObservacion"></p>
                              <br>
                              <table>
                                <tr>
                                  <td nowrap>__________&nbsp;</td>
                                  <td>&nbsp;</td>
                                  <td nowrap>&nbsp;____________</td>
                                </tr>
                                <tr>
                                  <td nowrap><h6>Recibí conforme</h6></td>
                                  <td>&nbsp;</td>
                                  <td nowrap>&nbsp;&nbsp; Op. {{ user.get_username }}</td>
                                </tr>
                              </table>
                            </div>
                          </div>
                          <div class="modal-footer">
                            <hr>
                            <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                          </div>

                        </div><!-- /.modal-content -->
                      </div><!-- /.modal-dialog -->
                  </div><!-- /.modal -->




                  <div class="row">
                    <div class="col-md-12 hidden" id="hand">
                         <div class="row">
                            <div class="col-md-12">
                              <div class="col-md-6">
                                <div class="form-group">
                                  <label class="radio-inline">
                                  <input type="radio" name="tipoley" id="rbLeyPeso" value="1" required checked> Ley Aplicado a Peso
                                </label>
                                <label class="radio-inline">
                                  <input type="radio" name="tipoley" id="rbLeyPrecio" value="0" required> Ley Aplicado al Precio
                                </label>
                                  <div class="form-control-feedback" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>
                              </div>
                              <div class="col-md-6">
                                <!--<div class="col-md-6">
                                  <div class="form-group">
                                      <button class="btn btn-warning btn-block" type="button" id="btnMensajePendiente">Bandeja de Mensajes</button>
                                  </div>
                                </div>-->
                                <div class="col-md-6">
                                  <div class="form-group">
                                    <button class="btn btn-danger btn-block" type="button" id="btnEliminarCierre" data-toggle="modal" data-target="#modal_confirmacion1">Eliminar Cierre</button>
                                  </div>
                                </div> 
                              </div> 

                            </div>
                            <div class="col-md-12">
                              <div class="col-md-2">
                                 <button class="btn btn-inverse btn-block" type="button" id="btnImprimirReporte"><i class="fa fa-print"></i>Imprimir</button>
                              </div>
                              

                                <!--<button class="btn btn-success btn-block" type="button" onClick ="$('#example').tableExport({type:'excel',escape:'false'});">Excel</button>
                                <button class="btn btn-danger btn-block" type="button" onClick ="$('#example').tableExport({type:'pdf',escape:'false'});">PDF</button>-->
                                <!--<a href="#" onClick ="$('#tableID').tableExport({type:'json',escape:'false'});">JSON</a>
                                <a href="#" onClick ="$('#tableID').tableExport({type:'excel',escape:'false'});">XLS</a>
                                <a href="#" onClick ="$('#tableID').tableExport({type:'csv',escape:'false'});">CSV</a>
                                <a href="#" onClick ="$('#tableID').tableExport({type:'pdf',escape:'false'});">PDF</a>-->
                            </div>
                          </div>
                        <p></p>

                      <div class="table-responsive">
                          <table id="example" class="table table-condensed table‐striped table-hover dt-responsive display nowrap" cellspacing="0">  
                          
                          </table>
                      </div>
                    </div>
                  </div>
                 
      <script  type="text/javascript" charset="utf-8">

        var idCCGlobal=0;
        var nroRowsGlobal=0;
        var tipCambioGlobal=0;
        var loteGlobal='';
        var flagGlobal=false;
        var conf='';
        var valorMoneda='dolares';


      $(document).ready(function (){
          recuperarCierres();
          $("#txtTipoCambio").numeric();
       });


      $("#btnImprimirReporte").click(function(){

          var datos=$("#comboFiltro :selected").text().split("/");
          var d = new Date();
          var n = d.toLocaleString();

          var doc = new jsPDF('l', 'pt');
          var res = doc.autoTableHtmlToJson(document.getElementById("example"));
          doc.setFontSize(18);
          doc.text("Reporte Cierre Venta Cliente", 20, doc.autoTableEndPosY() + 30);
          doc.setFontSize(12);
          doc.text('Nombre Cliente: '+datos[2], 20, 60);
          doc.text('Lote: '+datos[0], 20, 80);
          doc.text('Fecha: '+n, 20, 100);

          doc.autoTable(res.columns, res.data, {
              margin: {horizontal: 20},
              startY: doc.autoTableEndPosY() + 120,
              margin: {horizontal: 10},
              styles: {overflow: 'linebreak'},
              bodyStyles: {valign: 'top'},
              columnStyles: {email: {columnWidth: 'wrap'}},
              theme: 'grid',
          });

          doc.save('reporteCierre.pdf');
      });

      $("#btnFiltrar").click(function(){
            var $patron_busqueda = $("#filtro").val();
            var $size = $patron_busqueda.length;
            if($size > 0){
                $("#textClient").text("");
                $("#hand").removeClass();
                $("#hand").prop("class","col-md-12 hidden");
                recuperarCierresFiltro($patron_busqueda);
                //listar_cierres_clientes($patron_busqueda,'combocierres');
            }else{   
                $("#filtro").focus();
                recuperarCierres();
                //setInterval(function () {location.reload();}, 900);
            } 
      });


      $("#filtro").keypress(function(event){
            if ( event.which == 13 ) {
              var $patron_busqueda = $(this).val();
              var $size = $patron_busqueda.length;
              if($size > 0){
                  $("#textClient").text("");
                  $("#hand").removeClass();
                  $("#hand").prop("class","col-md-12 hidden");
                  recuperarCierresFiltro($patron_busqueda);
                  //listar_cierres_clientes($patron_busqueda,'combocierres');
              }else{   
                  $("#filtro").focus();
                  recuperarCierres();
                  //setInterval(function () {location.reload();}, 900);
              } 
        }
      });


      $("#btnImprimirPagoAdelantado").click(function(){
          var observaciones=$("#txtObservacion").val();
          $("#pObservacion").text(observaciones);
          $('#platillaI').printThis();
      });

      



      function actualizartipo(rows,conf)
      {
        for(var i=0;i<rows.length;i++) {

                var valor1=($(rows[i]).find('td:eq(8)').text());
                var valor2=($(rows[i]).find('td:eq(6)').text());
                var valor3=($(rows[i]).find('td:eq(9)').text());
                if(valor1!="")
                {
                    var PrecioUSOnza=parseFloat(valor1);
                    var DsctoCompra=$(rows[i]).find('td').eq(9).text();
                    var PesoFinoCierreGrs=$(rows[i]).find('td').eq(6).text();
                    var NetoAPagarUS=$(rows[i]).find('td').eq(13).text();
                    var ImporteCompraUS=$(rows[i]).find('td').eq(10).text();
                    if(DsctoCompra!="")
                    {
                        DsctoCompra=parseFloat($(rows[i]).find('td').eq(9).text())/100;
                        var cociente=PrecioUSOnza/31.1035;
                        var tipoley=$('input[name="tipoley"]:checked').val();
                        if(tipoley=="1")
                        {
                            var operacion =cociente-(cociente*DsctoCompra);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }

                        }
                        else
                        {
                            var leytemporal=$(rows[i]).find('td').eq(3).text();
                            var numero=(cociente-(cociente*DsctoCompra))*parseFloat(leytemporal)/100;
                            var entera=parseInt(numero);
                            var dec=numero-entera;
                            if(String(dec).length>3)
                            {
                                numero=parseFloat(entera)+parseFloat(String(dec).substring(0,4));
                            }
                            else
                            {
                                numero=parseFloat(entera)+parseFloat(dec);
                            }
                            var punto=String(numero).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(numero));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(numero));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));

                        }
                    }
                    if(PesoFinoCierreGrs!="" && NetoAPagarUS!="")
                    {
                        var cociente=PrecioUSOnza/31.1035;
                        var punto=String(cociente).indexOf(".")+1;
                            if(conf[11]==0)
                                $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                    }

                    if(PesoFinoCierreGrs!="" && ImporteCompraUS!="")
                    {
                        PesoFinoCierreGrs= parseFloat($(rows[i]).find('td').eq(6).text());
                        ImporteCompraUS=parseFloat($(rows[i]).find('td').eq(10).text());
                        var operacion = (PesoFinoCierreGrs*ImporteCompraUS);
                        var punto=String(operacion).indexOf(".")+1;
                        if(conf[13]==0)
                                $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                    }
                }

                if(valor2!="")
                {
                    var PesoFinoCierreGrs=parseFloat(valor2);
                    var punto=String(PesoFinoCierreGrs/31.1035).indexOf(".")+1;
                    var operacion=0;
                    if(conf[7]==0)
                         operacion=parseInt(PesoFinoCierreGrs/31.1035);
                    else
                    {
                        if(conf[7]>0 && punto==0)
                        {
                            operacion=parseInt(PesoFinoCierreGrs/31.1035);
                        }
                        else
                        {
                            if(conf[7]>0 && punto>0)
                            {
                                operacion=String(PesoFinoCierreGrs/31.1035).substring(0,parseInt(conf[7])+punto);
                            }
                        }
                    } 
                     
                    var PesoBrutoGrs=$(rows[i]).find('td').eq(1).text();
                    var PrecioUSOnza=$(rows[i]).find('td').eq(8).text();
                    var NetoAPagarUS=$(rows[i]).find('td').eq(13).text();
                    var ImporteCompraUS=$(rows[i]).find('td').eq(10).text();
                    $(rows[i]).find('td').eq(7).text(operacion);
                                //alert("cambio");
                                //calcular el descuento compra US$
                    if(PrecioUSOnza!="" && NetoAPagarUS!="")
                    {
                        PrecioUSOnza=parseFloat($(rows[i]).find('td').eq(8).text());
                        var cociente=PrecioUSOnza/31.1035;
                        var punto=String(cociente).indexOf(".")+1;
                        if(conf[11]==0)
                                $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                    }
                                //calcular neto a pagar
                    if(ImporteCompraUS!="")
                    {
                        ImporteCompraUS=parseFloat($(rows[i]).find('td').eq(10).text());
                        var tipoley=$('input[name="tipoley"]:checked').val();
                        if(tipoley=="1")
                        {
                            var operacion = (PesoFinoCierreGrs*ImporteCompraUS);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[13]==0)
                                $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                        }
                        else
                        {
                            if(PesoBrutoGrs!="")
                            {
                                PesoBrutoGrs=parseFloat(PesoBrutoGrs);
                                var operacion =(PesoBrutoGrs*ImporteCompraUS);
                                var punto=String(operacion).indexOf(".")+1;
                                if(conf[13]==0)
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                                else
                                {
                                   if(conf[13]>0 && punto==0)
                                   {
                                        $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[13]>0 && punto>0)
                                    {
                                        $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                    }
                                   } 
                                }
                               // $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                            }
                        }

                    }
                                //calcular saldo a pagar
                }

                if(valor3!="")
                {
                    var DsctoCompra=parseFloat(valor3);
                    DsctoCompra=DsctoCompra/100;
                    var PrecioUSOnza=$(rows[i]).find('td').eq(8).text();
                    var ley=$(rows[i]).find('td').eq(3).text();
                    var NetoAPagarUS=$(rows[i]).find('td').eq(13).text();
                    var PesoFinoCierreGrs=$(rows[i]).find('td').eq(6).text();
                    var ImporteCompraUS=$(rows[i]).find('td').eq(10).text();
                    if(PrecioUSOnza!="")
                    {
                        PrecioUSOnza=parseFloat($(rows[i]).find('td').eq(8).text());
                        var cociente=PrecioUSOnza/31.1035;
                        var tipoley=$('input[name="tipoley"]:checked').val();
                        if(tipoley=="1")
                        {
                            var operacion=cociente-(cociente*DsctoCompra);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto)); 
                        }
                        else
                        {
                            var numero=(cociente-(cociente*DsctoCompra))*parseFloat(ley)/100;
                            var entera=parseInt(numero);
                            var dec=numero-entera;
                            if(String(dec).length>3)
                            {
                                numero=parseFloat(entera)+parseFloat(String(dec).substring(0,4));
                            }
                            else
                            {
                                numero=parseFloat(entera)+parseFloat(dec);
                            }
                            var punto=String(numero).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(numero));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(numero));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));

                        }
                    }

                    if(PesoFinoCierreGrs!="" && ImporteCompraUS!="")
                    {
                        PesoFinoCierreGrs=parseFloat($(rows[i]).find('td').eq(6).text());
                        ImporteCompraUS=parseFloat($(rows[i]).find('td').eq(10).text());
                        var operacion=PesoFinoCierreGrs*ImporteCompraUS;
                        var punto=String(operacion).indexOf(".")+1;
                        if(conf[13]==0)
                                $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                    }

                    if(PesoFinoCierreGrs!="" && PrecioUSOnza!="" && NetoAPagarUS!="")
                    {
                        var cociente=parseFloat($(rows[i]).find('td').eq(8).text())/31.1035;
                        var punto=String(cociente).indexOf(".")+1;
                        if(conf[11]==0)
                                $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                    }
                }
            }

            var $sumatotal=0;
            var tipocambio=0;  
            for(var i=0;i<rows.length;i++) {
                var aux=$(rows[i]).find("td:eq(11)").text();
                if(aux!="Tipo Cambio")
                {
                    $sumatotal=$sumatotal+parseFloat($(rows[i]).find("td:eq(13)").text());
                }
                else
                {
                    tipocambio=parseFloat($(rows[i]).find("td:eq(12)").text());
                    $(rows[i]).find("td:eq(13)").text("S/."+($sumatotal*tipocambio));
                    break;
                }
            }
            $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(13).text($sumatotal);
      }



       $(document).on('click','[name="tipoley"]',function(){
            var tipo=$('input[name="tipoley"]:checked').val();
            var rows = $('#example > tbody > tr');
            if(tipo==1)
            {
                actualizartipo(rows,conf);
            }
            else
            {
                actualizartipo(rows,conf);
            }
        });


       $(document).on('click', '#idNuevoPago', function(event){
          //------ index of row

          var index=$(this).closest('tr').index();
          var moneda=$(this).closest('tr').find("select.p").val();
          var color;
          if(moneda=="SOLES")
          {
              color="<tr class='even info'>";
          }
          else
          {
              color="<tr class='even success'>";   
          }
           
          var html=color+"<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td><button type='button' class='btn enviar btn-success btn-icon-text waves-effect' data-value='-1'><i class='md md-redo'></i>Enviar a Caja</button></td><td><button type='button' class='btn imprimir btn-primary btn-icon-text waves-effect' data-value='-1'><i class='md md-print'></i>Imprimir</button></td><td><button type='button' class='btn eliminar btn-danger btn-icon-text waves-effect' data-value='-1'>Eliminar</button></td><td></td><td></td><td>"+"<div class='profile-info-value'><span class='editable editable-click tbObservaciones' id='tbObservaciones' style='display: inline;'>1.00</span></div></td><td><select name='combomoneda' class='cm' id='combomoneda'><option value='dolares'>DOLARES</option>"+
                  "<option value='soles'>SOLES</option></select></td><td id='tbmonto'><div class='profile-info-value'><span class='editable editable-click' id='tbmonto' style='display: inline;'>0.00</span></div></td><td></td><td><div class='profile-info-value'><span class='editable editable-click Obs' id='tbObs' style='display: inline;'></span></div></td></tr>"
          $('#example > tbody > tr:eq(' + (index-1) + ')').after(html);
          $('.editable').editable();
          valorMoneda='dolares';      
       
      });


      
        $(document).on('change', '.cm', function(event) {
          var index=$(this).closest('tr').index();
          var valor=$('#example > tbody > tr:eq(' + (index-1) + ')').find('td').eq(15).text();
          valorMoneda=$(this).val();
          if($(this).val()=="soles")
          {
              $(this).closest('tr').prop('class','even info');
              var tipocambio=$(this).closest('tr').find('td').eq(12).text();
              var montopagado=$(this).closest('tr').find('td').eq(14).text();
              var convertido=parseFloat(montopagado)/parseFloat(tipocambio);
              valor=valor-convertido;
              $(this).closest('tr').find('td').eq(15).text(truncateDecimals(valor,conf[14]));//valor.toFixed(conf[14]));
              $(this).closest('tr').find('td').eq(11).text(truncateDecimals(convertido,conf[14]));//convertido.toFixed(conf[10]));
          } 
          else
          {
              $(this).closest('tr').prop('class','even success');
              var montopagado=parseFloat($(this).closest('tr').find('td').eq(14).text());
              valor=valor-montopagado; 
              $(this).closest('tr').find('td').eq(15).text(truncateDecimals(valor,conf[14]));//valor.toFixed(conf[14]));
              $(this).closest('tr').find('td').eq(11).text(truncateDecimals(montopagado.conf[10]));//montopagado.toFixed(conf[10]));

          }
        });


       $(document).on('keypress', '.lebar', function(key) {
          var col=$(this).closest('td').index();
          var row=$(this).closest('tr').index();
          if(col!=16){
            if(key.charCode < 44 || key.charCode==45 || key.charCode==47 || key.charCode > 57) {
              return false;
            }
            
            if($(this).val().indexOf('.')!=-1){
              if(key.charCode==46){
                return false;
              }
            } 
          }
       });


       /*$(document).on('keyup','.lebar',function(event){
          
          var $valor= $(this).closest('tr').find("input.input-sm").val();
          var col=$(this).closest('td').index();
          var row=$(this).closest('tr').index();
          if(col!=16){
            if($valor.indexOf('.')!=-1){
              console.log("si hay punto"+$valor.indexOf('.'));
            }else{
              var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
              var valorAnterior=$(this).val();
              console.log("valor anterior "+valorAnterior);
              $(this).val(String(valorAnterior)+String(cantidadCeros));
              console.log(cantidadCeros);
              console.log(col);
              console.log(row);
            }
          }
       });*/

 

       $(document).on('click', '.editable-submit', function(event) {
          var idcombinado=$('#comboFiltro').val();
          
          if(idcombinado!=-1){
            var arr=String(idcombinado).split("_");
            var $idCliente=String(arr[0]);
            var $idCierre=String(arr[1]);
            var col=$(this).closest('td').index();
            var index=$(this).closest('tr').index();
            var $idPagoCompra=$(this).closest('tr').find("button.eliminar").attr("data-value");
            var $idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text();
            
            if($idBarraVenta==null || $idBarraVenta==''){
              if($idPagoCompra!=null && $idPagoCompra!=''){
                switch(col) {
                  case 10:
                      var valorFechaYear=$(this).closest('tr').find("select.year").val();
                      var valorFechaMonth=$(this).closest('tr').find("select.month").val();
                      var valorFechaDay=$(this).closest('tr').find("select.day").val();
                      var valorTipoCambio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(12).text();
                      var valorMonto=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(14).text();
                      var valorMontoCambiado=$('#example > tbody > tr:eq(' + (index-1) + ')').find('td').eq(15).text();
                      var valorObs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(16).text();
                      var dateNuevo= valorFechaYear+'-'+valorFechaMonth+'-'+valorFechaDay;
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                        if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                          insertarPagoVenta($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,dateNuevo,valorObs,index);
                        }
                      }
                      break;
                  case 12:
                       var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col); 
                        }


                      var valorFecha=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text();
                      var valorTipoCambio=$(this).closest('tr').find("input.input-sm").val();
                      var valorMonto=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(14).text();
                      var valorMontoCambiado=$('#example > tbody > tr:eq(' + (index-1) + ')').find('td').eq(15).text();
                      var valorObs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(16).text(); 
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                        if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                          insertarPagoVenta($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                        } 
                      }
                      break;
                  case 14:
                      var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col); 
                        }


                      var valorFecha=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text();
                      var valorMontoCambiado=$('#example > tbody > tr:eq(' + (index-1) + ')').find('td').eq(15).text();
                      var valorMonto=$(this).closest('tr').find("input.input-sm").val();
                      var valorObs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(16).text();
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorMoneda=='soles'){
                        $("#modal_tipoCambio").modal("show");
                        $("#txtTipoCambio").focus();
                        $("#btnTipoAceptar").click(function(){
                          var tc=$("#txtTipoCambio").val();
                          if(tc!=''){
                            $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(12).text(tc);
                            var valorTipoCambio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(12).text();
                            if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                              if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                                insertarPagoVenta($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                                $("#modal_tipoCambio").modal("hide");
                              }
                            }
                          } 
                        });
                      }else{
                         var valorTipoCambio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(12).text();
                          if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                            if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                              insertarPagoVenta($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                            }
                          }
                      }
                      
                      break;
                  case 16:
                      var valorFecha=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text();
                      var valorTipoCambio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(12).text();
                      var valorMonto=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(14).text();
                      var valorMontoCambiado=$('#example > tbody > tr:eq(' + (index-1) + ')').find('td').eq(15).text();
                      var valorObs=$(this).closest('tr').find("input.input-sm").val();
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                        if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                          insertarPagoVenta($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                        }
                      } 
                      break;
                }
              }else{
                  switch(col) {
                    case 12:
                        var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }


                        var valor_aux=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text();
                        var valor1=$(this).closest('tr').find("input.input-sm").val();
                        if(valor_aux=="Tipo Cambio"){
                            if(valor1!=""){
                              tipocambio= parseFloat(valor1); 
                              var idGlobal=idCCGlobal.split('_');
                              var idCliente=idGlobal[0];
                              var idCCC=idGlobal[1];
                              actualizarTipoCambio(idCCC,idCliente,tipocambio);
                              var SaldoAPagar=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(15).text();
                              if(SaldoAPagar!=""){
                                  SaldoAPagar=parseFloat(SaldoAPagar);
                                  var operacion=tipocambio*SaldoAPagar;
                                  var punto=String(operacion).indexOf(".")+1;
                                  if(conf[13]==0)
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text("S/."+parseInt(operacion));
                                  else{
                                      if(conf[13]>0 && punto==0){
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text("S/."+parseInt(operacion));
                                      }
                                      else{
                                        if(conf[13]>0 && punto>0){
                                          $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text("S/."+String(operacion).substring(0,parseInt(conf[12])+punto));
                                        }
                                      }
                                  }  
                              }
                            }
                        }
                        break;
                    }
              }
               
            }else{
              switch(col) {
                case 0:
                    var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }


                    var valor1=$(this).closest('tr').find("input.input-sm").val();
                    var PesoBrutoInicial=parseFloat(valor1);
                    var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                    var fechaCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                    var PesoCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                    var precio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();
                    var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                    var descuento=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                    var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text();
                    if(PesoBrutoInicial!=0){
                        if(PesoBrutoGrs!=null || PesoBrutoGrs!=""){
                            PesoBrutoGrs=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text());
                            var operacion=(100-(PesoBrutoGrs*100)/PesoBrutoInicial);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[2]==0)
                              $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                            else{
                               if(conf[2]>0 && punto==0){
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                               }
                               else{
                                  if(conf[2]>0 && punto>0)
                                  {
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(String(operacion).substring(0,parseInt(conf[2])+punto));
                                  }
                              }
                            }  
                        }
                      actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,ley,descuento);
                    }
                    calcularSuma();
                    break;

                  case 1:

                    var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }


                    var valor1=$(this).closest('tr').find("input.input-sm").val();
                    if(valor1!=""){
                        var PesoBrutoGrs=parseFloat(valor1);
                        var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                        var fechaCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                        var PesoCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                        var precio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();
                        var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                        var descuento=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                        var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text();
                        if(PesoBrutoInicial!=0)
                        {
                            if(PesoBrutoGrs!=null || PesoBrutoGrs!="")
                            {
                                PesoBrutoGrs=parseFloat(PesoBrutoGrs);
                                var operacion=(100-(PesoBrutoGrs*100)/PesoBrutoInicial);
                                var punto=String(operacion).indexOf(".")+1;
                                if(conf[2]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                                else
                                {
                                   if(conf[2]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[2]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(String(operacion).substring(0,parseInt(conf[2])+punto));
                                    }
                                    }
                                } 
                              actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,ley,descuento);
                            }
                        }

                        var Ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                        if(Ley!="")
                        {
                            Ley=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text());
                            var operacion=((Ley/100)*PesoBrutoGrs);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[4]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                                else
                                {
                                   if(conf[4]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[4]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(String(operacion).substring(0,parseInt(conf[2])+punto));
                                    }
                                    }
                                } 
                            //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(String(operacion).substring(0,parseInt(conf[4])+punto));
                        }
                            //calcular cierre adicional
                    }
                    break;

                  case 3:

                      var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }



                     var valor1=$(this).closest('tr').find("input.input-sm").val();
                     if(valor1!=""){
                        var Ley=parseFloat(valor1);
                        var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                        if(PesoBrutoGrs!="")
                        {
                            PesoBrutoGrs=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text());

                            var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                            var fechaCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                            var PesoCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                            var precio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();
                            var descuento=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                            var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text();
                            var operacion=((Ley/100)*PesoBrutoGrs);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[4]==0)
                                $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                            else
                            {
                               if(conf[4]>0 && punto==0)
                               {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[4]>0 && punto>0)
                                {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(String(operacion).substring(0,parseInt(conf[4])+punto));
                                }
                                }
                            } 
                            actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,Ley,descuento);
                        }
                    }
                    break;

                  case 5:
                    var valorFechaYear=$(this).closest('tr').find("select.year").val();
                    var valorFechaMonth=$(this).closest('tr').find("select.month").val();
                    var valorFechaDay=$(this).closest('tr').find("select.day").val(); 
                    var fechaCierre= valorFechaYear+'-'+valorFechaMonth+'-'+valorFechaDay;
                    var PesoCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                    var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                    var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                    var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                    var precio=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();
                    var descuento=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                    var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text();
                    actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,ley,descuento);  
                    break;

                  case 6:


                    var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }



                    var valor1=$(this).closest('tr').find("input.input-sm").val();
                    if(valor1!="")
                    {
                        var PesoFinoCierreGrs=parseFloat(valor1);
                        var punto=String(PesoFinoCierreGrs/31.1035).indexOf(".")+1;
                        var operacion=0;
                        if(conf[7]==0)
                            operacion=parseInt(PesoFinoCierreGrs/31.1035);
                        else
                        {
                            if(conf[7]>0 && punto==0)
                            {
                                operacion=parseInt(PesoFinoCierreGrs/31.1035);
                            }
                            else
                            {
                                if(conf[7]>0 && punto>0)
                                {
                                    operacion=String(PesoFinoCierreGrs/31.1035).substring(0,parseInt(conf[7])+punto);;
                                }
                            }
                        }
                        var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                        var fechaCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text(); 
                        var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                        var descuento=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                        var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text(); 
                        var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                        var PrecioUSOnza=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();
                        var NetoAPagarUS=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text();
                        var ImporteCompraUS=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text();
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(7).text(operacion);
                        //alert("cambio");
                        //calcular el descuento compra US$
                        if(PrecioUSOnza!="" && NetoAPagarUS!="")
                        {
                            PrecioUSOnza=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text());
                            var cociente=PrecioUSOnza/31.1035;
                            var punto=String(cociente).indexOf(".")+1;
                            if(conf[11]==0)
                                $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                                }
                            } 
                            //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                        }
                        //calcular neto a pagar
                        if(ImporteCompraUS!="")
                        {
                            ImporteCompraUS=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text());
                            var tipoley=$('input[name="tipoley"]:checked').val();
                            if(tipoley=="1")
                            {
                                var operacion = (PesoFinoCierreGrs*ImporteCompraUS);
                                var punto=String(operacion).indexOf(".")+1;
                                 if(conf[13]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                                else
                                {
                                   if(conf[13]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[13]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                    }
                                    }
                                } 
                                //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                            }
                            else
                            {
                                if(PesoBrutoGrs!="")
                                {
                                    PesoBrutoGrs=parseFloat(PesoBrutoGrs);
                                    var operacion =(PesoBrutoGrs*ImporteCompraUS);
                                    var punto=String(operacion).indexOf(".")+1;
                                    if(conf[13]==0)
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                                    else
                                    {
                                       if(conf[13]>0 && punto==0)
                                       {
                                            $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                                       }
                                       else
                                       {
                                        if(conf[13]>0 && punto>0)
                                        {
                                            $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                        }
                                        }
                                    } 
                                    //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                            }

                        actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoFinoCierreGrs,fechaCierre,PrecioUSOnza,ley,descuento);

                        }
                        //calcular saldo a pagar
                        var saldoAPagar=0;
                        var indice=0;
                        var rows = $('#example > tbody > tr');
                        var tC=0;
                        for(var i=0;i<rows.length;i++){
                          var aux=$(rows[i]).find("td:eq(11)").text();
                          var sp=$(rows[i]).find("td:eq(13)").text();
                          console.log(sp);
                          if(aux=="Tipo Cambio"){
                            indice=i;
                            tC=parseFloat($(rows[i]).find("td:eq(12)").text());
                            break;
                          }
                          else{
                            var sp=$(rows[i]).find("td:eq(13)").text();
                            saldoAPagar=saldoAPagar+parseFloat(sp);
                          }
                        }
                        $('#example > tbody > tr:eq(' + (indice) + ')').find('td').eq(13).text("S/. "+truncateDecimals((saldoAPagar*tC),conf[12]));//(saldoAPagar/tC).toFixed(parseInt(conf[12])))
                        $('#example > tbody > tr:eq(' + (indice) + ')').find('td').eq(15).text(truncateDecimals(saldoAPagar,conf[14]));//saldoAPagar.toFixed(parseInt(conf[14])))

                         var pagoAnterior= saldoAPagar;
                          // recalcular pagos adelantados
                           for(var j=indice+1;j<rows.length;j++){
                             var auxDolares=$(rows[j]).find("td:eq(11)").text();
                             if (auxDolares.indexOf("$")!=-1){
                              pagoAnterior=parseFloat(pagoAnterior)-parseFloat(auxDolares.substring(3,auxDolares.length));
                              $('#example > tbody > tr:eq(' + (j) + ')').find('td').eq(15).text(truncateDecimals(pagoAnterior,conf[14]));
                             }else{
                                break;
                             }   
                          }

                          $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(15).text(truncateDecimals(pagoAnterior,conf[14]));

                    }

                    break;
                  case 8:

                    var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }



                    var valor1=$(this).closest('tr').find("input.input-sm").val();
                    if(valor1!="")
                    {
                        var PrecioUSOnza=parseFloat(valor1);
                        var DsctoCompra=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                        var PesoFinoCierreGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                        var NetoAPagarUS=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text();
                        var ImporteCompraUS=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text();

                        var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                        var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                        var fechaCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                        var PesoCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                        var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                        var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text();

                        if(DsctoCompra!="")
                        {
                            DsctoCompra=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text())/100;
                            var cociente=PrecioUSOnza/31.1035;
                            var tipoley=$('input[name="tipoley"]:checked').val();
                            if(tipoley=="1")
                            {
                                var operacion =cociente-(cociente*DsctoCompra);
                                var punto=String(operacion).indexOf(".")+1;
                                 if(conf[10]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(operacion));
                                else
                                {
                                   if(conf[10]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[10]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                                    }
                                    }
                                } 
                                //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                            }
                            else
                            {
                                var leytemporal=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                                var numero=(cociente-(cociente*DsctoCompra))*parseFloat(leytemporal)/100;
                                var entera=parseInt(numero);
                                var dec=numero-entera;
                                if(String(dec).length>3)
                                {
                                    numero=parseFloat(entera)+parseFloat(String(dec).substring(0,4));
                                }
                                else
                                {
                                    numero=parseFloat(entera)+parseFloat(dec);
                                }
                                var punto=String(numero).indexOf(".")+1;

                                 if(conf[10]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(numero));
                                else
                                {
                                   if(conf[10]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(numero));
                                   }
                                   else
                                   {
                                    if(conf[10]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));
                                    }
                                    }
                                } 
                                //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));

                            }
                        }
                        if(PesoFinoCierreGrs!="" && NetoAPagarUS!="")
                        {
                            var cociente=PrecioUSOnza/31.1035;
                            var punto=String(cociente).indexOf(".")+1;
                             if(conf[11]==0)
                                $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                                }
                            } 
                            //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                        }

                        if(PesoFinoCierreGrs!="" && ImporteCompraUS!="")
                        {
                            PesoFinoCierreGrs= parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text());
                            ImporteCompraUS=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text());
                            var operacion = (PesoFinoCierreGrs*ImporteCompraUS);
                            var punto=String(operacion).indexOf(".")+1;
                             if(conf[13]==0)
                                $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                                }
                            } 
                            //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                        }

                      actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,PrecioUSOnza,ley,DsctoCompra);
                        //calcular saldo a pagar
                        var saldoAPagar=0;
                        var indice=0;
                        var rows = $('#example > tbody > tr');
                        var tC=0;
                        for(var i=0;i<rows.length;i++){
                          var aux=$(rows[i]).find("td:eq(11)").text();
                          var sp=$(rows[i]).find("td:eq(13)").text();
                          console.log(sp);
                          if(aux=="Tipo Cambio"){
                            indice=i;
                            tC=parseFloat($(rows[i]).find("td:eq(12)").text());
                            break;
                          }
                          else{
                            var sp=$(rows[i]).find("td:eq(13)").text();
                            saldoAPagar=saldoAPagar+parseFloat(sp);
                          }
                        }
                        $('#example > tbody > tr:eq(' + (indice) + ')').find('td').eq(13).text("S/. "+truncateDecimals((saldoAPagar*tC),conf[12]));//(saldoAPagar/tC).toFixed(parseInt(conf[12])))
                        $('#example > tbody > tr:eq(' + (indice) + ')').find('td').eq(15).text(truncateDecimals(saldoAPagar,conf[14]));//saldoAPagar.toFixed(parseInt(conf[14])))

                         var pagoAnterior= saldoAPagar;
                          // recalcular pagos adelantados
                           for(var j=indice+1;j<rows.length;j++){
                             var auxDolares=$(rows[j]).find("td:eq(11)").text();
                             if (auxDolares.indexOf("$")!=-1){
                              pagoAnterior=parseFloat(pagoAnterior)-parseFloat(auxDolares.substring(3,auxDolares.length));
                              $('#example > tbody > tr:eq(' + (j) + ')').find('td').eq(15).text(truncateDecimals(pagoAnterior,conf[14]));
                             }else{
                                break;
                             }   
                          }

                          $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(15).text(truncateDecimals(pagoAnterior,conf[14]));

                    }
                    break;
                  case 9:

                      var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }



                      var valor1=$(this).closest('tr').find("input.input-sm").val();
                     if(valor1!="")
                      {
                          var DsctoCompra=parseFloat(valor1);
                          DsctoCompra=DsctoCompra/100;

                          var fechaCierre=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                          var idBarraVenta=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(17).text(); 
                          var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                          var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                          var PrecioUSOnza=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();
                          var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                          var NetoAPagarUS=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text();
                          var PesoFinoCierreGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                          var ImporteCompraUS=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text();
                          if(PrecioUSOnza!="")
                          {
                              PrecioUSOnza=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text());
                              var cociente=PrecioUSOnza/31.1035;
                              var tipoley=$('input[name="tipoley"]:checked').val();
                              if(tipoley=="1")
                              {
                                  var operacion=cociente-(cociente*DsctoCompra);
                                  var punto=String(operacion).indexOf(".")+1;
                                   if(conf[10]==0)
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(operacion));
                                  else
                                  {
                                     if(conf[10]>0 && punto==0)
                                     {
                                          $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(operacion));
                                     }
                                     else
                                     {
                                      if(conf[10]>0 && punto>0)
                                      {
                                          $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                                      }
                                      }
                                  } 
                                 //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto)); 
                              }
                              else
                              {
                                  var numero=(cociente-(cociente*DsctoCompra))*parseFloat(ley)/100;
                                  var entera=parseInt(numero);
                                  var dec=numero-entera;
                                  if(String(dec).length>3)
                                  {
                                      numero=parseFloat(entera)+parseFloat(String(dec).substring(0,4));
                                  }
                                  else
                                  {
                                      numero=parseFloat(entera)+parseFloat(dec);
                                  }
                                  var punto=String(numero).indexOf(".")+1;
                                   if(conf[10]==0)
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(numero));
                                  else
                                  {
                                     if(conf[10]>0 && punto==0)
                                     {
                                          $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(parseInt(numero));
                                     }
                                     else
                                     {
                                      if(conf[10]>0 && punto>0)
                                      {
                                          $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));
                                      }
                                      }
                                  } 
                                   //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));

                              }

                          }

                          if(PesoFinoCierreGrs!="" && ImporteCompraUS!="")
                          {
                              PesoFinoCierreGrs=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text());
                              ImporteCompraUS=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(10).text());
                              var operacion=PesoFinoCierreGrs*ImporteCompraUS;
                              var punto=String(operacion).indexOf(".")+1;
                               if(conf[13]==0)
                                  $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                              else
                              {
                                 if(conf[13]>0 && punto==0)
                                 {
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(parseInt(operacion));
                                 }
                                 else
                                 {
                                  if(conf[13]>0 && punto>0)
                                  {
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                  }
                                  }
                              } 
                              //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                          }

                          if(PesoFinoCierreGrs!="" && PrecioUSOnza!="" && NetoAPagarUS!="")
                          {
                              var cociente=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text())/31.1035;
                              var punto=String(cociente).indexOf(".")+1;
                               if(conf[11]==0)
                                  $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(parseInt(cociente));
                              else
                              {
                                 if(conf[11]>0 && punto==0)
                                 {
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(parseInt(cociente));
                                 }
                                 else
                                 {
                                  if(conf[11]>0 && punto>0)
                                  {
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                  }
                                  }
                              } 
                              //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                          }

                        actualizarBarraCompra(idBarraVenta,PesoBrutoInicial,PesoBrutoGrs,PesoFinoCierreGrs,fechaCierre,PrecioUSOnza,ley,valor1);
                          
                          //calcular saldo a pagar
                          var saldoAPagar=0;
                          var indice=0;
                          var tC=0;
                          var rows = $('#example > tbody > tr');
                          for(var i=0;i<rows.length;i++){
                            var aux=$(rows[i]).find("td:eq(11)").text();
                            var sp=$(rows[i]).find("td:eq(13)").text();
                            console.log(sp);
                            if(aux=="Tipo Cambio"){
                              indice=i;
                              tC=parseFloat($(rows[i]).find("td:eq(12)").text());
                              break;
                            }
                            else{
                              var sp=$(rows[i]).find("td:eq(13)").text();
                              saldoAPagar=saldoAPagar+parseFloat(sp);
                            }
                          }
                          $('#example > tbody > tr:eq(' + (indice) + ')').find('td').eq(13).text("S/. "+truncateDecimals((saldoAPagar*tC),conf[12]));//(saldoAPagar/tC).toFixed(parseInt(conf[12])))
                          $('#example > tbody > tr:eq(' + (indice) + ')').find('td').eq(15).text(truncateDecimals(saldoAPagar,conf[14]));//saldoAPagar.toFixed(parseInt(conf[14])))
                          

                          var pagoAnterior= saldoAPagar;
                          // recalcular pagos adelantados
                           for(var j=indice+1;j<rows.length;j++){
                             var auxDolares=$(rows[j]).find("td:eq(11)").text();
                             if (auxDolares.indexOf("$")!=-1){
                              pagoAnterior=parseFloat(pagoAnterior)-parseFloat(auxDolares.substring(3,auxDolares.length));
                              $('#example > tbody > tr:eq(' + (j) + ')').find('td').eq(15).text(truncateDecimals(pagoAnterior,conf[14]));
                             }else{
                                break;
                             }   
                          }

                          $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(15).text(truncateDecimals(pagoAnterior,conf[14]));

                      }
                    break;

              }
              //alert($idBarraVenta);
            }
          }
           
       });
    
      
         $("#alert_aceptar1").click(function(){
              mostrar_progress1();
              var idGlobal=idCCGlobal.split('_');
              var idCliente=idGlobal[0];
              var idCCC=idGlobal[1];
              actualizarAnuladoCierre(idCCC,idCliente);
          });


       $(document).on('click', '.eliminar', function() {
            var idPago=$(this).attr("data-value");
            var index=$(this).closest('tr').index();
        

            if(idPago!=-1){
              //$("#modal_confirmacion2").modal("show");
              //$("#alert_aceptar2").click(function(){
                //mostrar_progress2();
                eliminarPago(idPago,index);
              //})
              
            }else{
                $('#example > tbody > tr:eq(' + (index) + ')').remove(); 
            }
        });


        $(document).on('click', '.imprimir', function() {
            var idPago=$(this).attr("data-value"); 
            var index=$(this).closest('tr').index();
            $("#idPagoAdelantado").val(idPago); 
            if(idPago!=-1){
                imprimirPago(idPago,index); 
            }
        });


        $(document).on('click', '.enviar', function() {
            var idPago=$(this).attr("data-value"); 
            var index=$(this).closest('tr').index();
            if(idPago!=-1){
              registrarMovimientoCaja(idPago,index);
                //imprimirPago(idPago,index); 
            } 
        });
 

        function mostrar_progress2(){
            $(".grp_alr2").hide();
            $(".grp_pgs2").show();
        };

        function ocultarmodalPago(){
            $('#modal_confirmacion2').modal('hide');
            $(".grp_pgs2").hide();
            $(".grp_alr2").show();
        };


        function mostrar_progress1(){
          $(".grp_alr1").hide();
          $(".grp_pgs1").show();
        };

        function ocultarmodal(){
          $('#modal_confirmacion1').modal('hide');
          $(".grp_pgs1").hide();
          $(".grp_alr1").show();
        };



        function calcularSuma(){ 
          var sumaTotalPesoBrutoInicial=0;
          var sumaPesoBrutoGrs=0;
          var sumaLey=0
          var sumaPesoFinoGrs=0
          var sumaPesoFinoCierreGrs=0;
          var sumaPesoFinoCierreOz=0;
          var sumaPrecio=0;
          var sumaDescuento=0;
          var sumaPrecioGrs=0;
          var sumaPrecioOnza=0;
          var indicePromedio=0;
          var rows = $('#example > tbody > tr');
          for(var i=0;i<rows.length-1;i++){
            var PesoBrutoInicial=$(rows[i]).find("td:eq(0)").text();
            var PesoBrutoGrs=$(rows[i]).find("td:eq(1)").text();
            var Ley=$(rows[i]).find("td:eq(3)").text();
            var PesoFinoGrs=$(rows[i]).find("td:eq(4)").text();
            var PesoFinoCierreGrs=$(rows[i]).find("td:eq(6)").text();
            var PesoFinoCierreOz=$(rows[i]).find("td:eq(7)").text();
            var Precio=$(rows[i]).find("td:eq(8)").text();
            var Descuento=$(rows[i]).find("td:eq(9)").text();
            var PrecioGrs=$(rows[i]).find("td:eq(10)").text();
            var PrecioOnza=$(rows[i]).find("td:eq(11)").text();

            console.log("SUMA PRECIO "+Precio);

            if(PesoBrutoInicial!="PROMEDIOS" && PesoBrutoInicial!=""){
              sumaTotalPesoBrutoInicial=sumaTotalPesoBrutoInicial+parseFloat(PesoBrutoInicial);
            }

            if(PesoBrutoGrs!=""){
              sumaPesoBrutoGrs=sumaPesoBrutoGrs+parseFloat(PesoBrutoGrs);
            }

            if(Ley!=""){
              sumaLey=sumaLey+parseFloat(Ley);
            }

            if(PesoFinoGrs!=""){
              sumaPesoFinoGrs=sumaPesoFinoGrs+parseFloat(PesoFinoGrs);
            }

            if(PesoFinoCierreGrs!=""){
              sumaPesoFinoCierreGrs=sumaPesoFinoCierreGrs+parseInt(PesoFinoCierreGrs);
            }

            if(PesoFinoCierreOz!=""){
              if(PesoFinoCierreOz.indexOf("Enviar a Caja")==-1){
                sumaPesoFinoCierreOz=sumaPesoFinoCierreOz+parseFloat(PesoFinoCierreOz);
              }
            }

            if(Precio!="Imprimir" && Precio!=""){
              sumaPrecio=sumaPrecio+parseFloat(Precio);
            }

            if(Descuento!="" && Descuento!="Eliminar"){
              sumaDescuento=sumaDescuento+parseFloat(Descuento);
            }
            
            if(PrecioGrs!=""){
              if(PrecioGrs.indexOf("-")==-1){
                sumaPrecioGrs=sumaPrecioGrs+parseFloat(PrecioGrs);
              }
            }

            
            if(PrecioOnza!="" && PrecioOnza!="Tipo Cambio"){
              if(PrecioOnza.indexOf("($)")==-1){
                sumaPrecioOnza=sumaPrecioOnza+parseFloat(PrecioOnza);
              }
            }else{
              if(PrecioOnza=="Tipo Cambio"){
                indicePromedio=i;
              }
            }
             
          }

          // agregar suma

        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(0).text(sumaTotalPesoBrutoInicial.toFixed(conf[0]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(1).text(sumaPesoBrutoGrs.toFixed(conf[1]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(3).text(sumaLey.toFixed(conf[3]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(4).text(sumaPesoFinoGrs.toFixed(conf[4]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(6).text(sumaPesoFinoCierreGrs.toFixed(conf[5]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(7).text(sumaPesoFinoCierreOz.toFixed(conf[6]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(8).text(sumaPrecio.toFixed(conf[7]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(9).text(sumaDescuento.toFixed(conf[8]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(10).text(sumaPrecioGrs.toFixed(conf[9]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(11).text(sumaPrecioOnza.toFixed(conf[10]));
           
          // agregar promedios

        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(1).text((sumaPesoBrutoGrs/indicePromedio).toFixed(conf[1]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(3).text((sumaLey/indicePromedio).toFixed(conf[3]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(4).text((sumaPesoFinoGrs/indicePromedio).toFixed(conf[4]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(6).text((sumaPesoFinoCierreGrs/indicePromedio).toFixed(conf[5]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(7).text((sumaPesoFinoCierreOz/indicePromedio).toFixed(conf[6]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(8).text((sumaPrecio/indicePromedio).toFixed(conf[7]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(9).text((sumaDescuento/indicePromedio).toFixed(conf[8]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(10).text((sumaPrecioGrs/indicePromedio).toFixed(conf[9]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(11).text((sumaPrecioOnza/indicePromedio).toFixed(conf[10]));


        }



        $("#comboFiltro").change(function(){
            var v=$(this).val();
            var datos=$("#comboFiltro :selected").text().split("/");
            loteGlobal=datos[0];
            $("#textClient").text("Cliente: "+datos[2]+" "+" Lote: "+datos[0]);
            idCCGlobal=v;
            if(v!=-1){
              $("#textClient").removeClass("hidden");
              $("#hand").removeClass();
              $("#hand").prop("class","col-md-12");
              recuperarCierresCuentaCliente(v);
            }else{
              $("#textClient").addClass("hidden");
              $("#textClient").text("");
              $("#hand").removeClass();
              $("#hand").prop("class","col-md-12 hidden");
            }
        });

        function actualizarBarraCompra(idBarraVenta,cantidadInicial,cantidad,cantidadCierre,fechaCierre,precio,ley,descuento){
                $.ajax({
                  url:'/ActualizarBarraVenta/',
                  data:{'idBarraVenta':idBarraVenta,'cantidadInicial':cantidadInicial,'cantidad':cantidad,'cantidadCierre':cantidadCierre,'fechaCierre':fechaCierre,'precio':precio,'ley':ley,'descuento':descuento},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }


           function actualizarTipoCambio(idCierre,idCliente,tipoCambio){
                $.ajax({
                  url:'/ActualizarTipoCambioVenta/',
                  data:{'idCierre':idCierre,'idCliente':idCliente,'tipoCambio':tipoCambio},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                   
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }



         function actualizarAnuladoCierre(idCierre,idCliente){
                $.ajax({
                  url:'/ActualizarAnuladoCierreVenta/',
                  data:{'idCierre':idCierre,'idCliente':idCliente},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    if(data=='exito'){ 
                      window.location="/CuentasClientesVenta/";
                    }else{
                      bootbox.alert({ 
                        message: data,
                        className: 'bb-alternate-modal'
                      });
 
                      ocultarmodal();
                    }
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }


        function insertarPagoVenta(idPago,idCierre,idCliente,monto,montoCambiado,moneda,tipoCambio,fecha,observaciones,index){
                $.ajax({
                  url:'/InsertarControlPagoVenta/',
                  data:{'idPago':idPago,'idCierre':idCierre,'idCliente':idCliente,'monto':monto,'montoTotalCuenta':0,'moneda':moneda,'tipoCambio':tipoCambio,'fecha':fecha,'observaciones':observaciones},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log("resultado"+data);

                    var numFilas=$('#example tr').length-3;
                    var numFilaTope=$('#example tr').length-1;
                    var SumaAPagar=0;
                    if(data!='fail'){

                      $('#example > tbody > tr:eq(' + (index) + ')').find('button.eliminar').attr('data-value',data);
                      $('#example > tbody > tr:eq(' + (index) + ')').find('button.imprimir').attr('data-value',data);
                      $('#example > tbody > tr:eq(' + (index) + ')').find('button.enviar').attr('data-value',data); 

                      /*alert(montoCambiado);
                      alert(monto);
                      alert(tipoCambio);
                      alert(moneda);*/

                      if(moneda=='soles'){
                        var montoC=montoCambiado-(monto/tipoCambio);
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).html("($)"+(monto/tipoCambio).toFixed(conf[10]));
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(15).html(montoC.toFixed(conf[14]));
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(moneda);
                      }else{
                        var montoC=montoCambiado-monto; 
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(11).html("($)"+parseFloat(monto).toFixed(conf[10]));
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(15).html(montoC.toFixed(conf[14]));
                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(13).text(moneda);
                      }

                      //actualizar las demas filas
                      var montoRecalculado=0
                      for(var i=index;i<numFilas;i++){
                          var valorTipoCambio=$('#example > tbody > tr:eq(' + (i) + ')').find('td').eq(12).text();
                          var valorMoneda=$('#example > tbody > tr:eq(' + (i) + ')').find('td').eq(13).text();
                          var valorMonto=$('#example > tbody > tr:eq(' + (i) + ')').find('td').eq(14).text();
                          var valorMontoCambiado=$('#example > tbody > tr:eq(' + (i-1) + ')').find('td').eq(15).text();
                          
                          if(valorMoneda=='soles'){
                            var montoC=valorMontoCambiado-(valorMonto/valorTipoCambio);
                            montoRecalculado=montoC; 
                            $('#example > tbody > tr:eq(' + (i) + ')').find('td').eq(15).html(truncateDecimals(montoC,conf[14]));//montoC.toFixed(conf[14]));   
                          }else{
                            var montoC=valorMontoCambiado- valorMonto;
                            montoRecalculado=montoC;
                            $('#example > tbody > tr:eq(' + (i) + ')').find('td').eq(15).html(truncateDecimals(montoC,conf[14]));//montoC.toFixed(conf[14]));
                          }
                      }
                        
                      $('#example > tbody > tr:eq(' + (numFilaTope-1) + ')').find('td').eq(15).html(truncateDecimals(montoRecalculado,conf[14]));//montoRecalculado.toFixed(conf[14]));
                    

                    }else{

                      bootbox.alert({ 
                        message: "No se pudo guardar el Pago",
                        className: 'bb-alternate-modal'
                      });

                      
                    }
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            });
          }



        truncateDecimals = function (number, digits) {
            var multiplier = Math.pow(10, digits),
                adjustedNum = number * multiplier,
                truncatedNum = Math[adjustedNum < 0 ? 'ceil' : 'floor'](adjustedNum);

            return truncatedNum / multiplier;
        };



        function recuperarCierres(){
                $.ajax({
                  url:'/RecuperarCuentasCierreVentaAjax/',
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    var html ="";
                    $("#comboFiltro").html('');
                    html += '<option value="-1">Seleccione un cierre</option>';
                    for(var i=0;i<data.length;i++){
                        html += '<option value="'+data[i].pkCierre+'_'+data[i].pk+'">'+data[i].lote+'/'+data[i].fechaCierre+'/'+data[i].nombre+'</option>';
                    }
                    $('#comboFiltro').html(html);
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }

        function recuperarCierresFiltro(parametro){
                $.ajax({
                  data:{'parametro':parametro},
                  url:'/RecuperarCuentasCierreVentaFiltroAjax/',
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    var html ="";
                    $("#comboFiltro").html('');
                    if (data.length>0){
                       html += '<option value="-1">Seleccione un cierre</option>';
                     }else{
                       html += '<option value="-1">No hay Cierres existentes</option>';
                     }
                    for(var i=0;i<data.length;i++){
                        html += '<option value="'+data[i].pkCierre+'_'+data[i].pk+'">'+data[i].lote+'/'+data[i].fechaCierre+'/'+data[i].nombre+'</option>';
                    }
                    $('#comboFiltro').html(html);
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }



          function eliminarPago(idPago,index){
                $.ajax({
                  url:'/eliminarPagoVenta/',
                  data:{'idPago':idPago},
                  type:'GET',
                  dataType:'text',
                  success: function(data){
                    console.log(data);
                    if(data=='exito'){
                      ocultarmodalPago();
                      $('#example > tbody > tr:eq(' + (index) + ')').remove();
                    }else{
                        bootbox.alert({ 
                          message: "No se pudo eliminar el Pago",
                          className: 'bb-alternate-modal'
                        });
 
                        ocultarmodalPago();
                    }

                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


          function imprimirPago(idPago,index){
            //$('#platillaI').printThis();
                $.ajax({
                  url:'/imprimirPagoVenta/',
                  data:{'idPago':idPago},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    $("#pFecha").text(data[0].fecha);
                    $("#pCliente").text(data[0].cliente);
                    $("#pLote").text(data[0].lote);
                    if(data[0].moneda=='soles'){
                      $("#pMonto").text("S/. "+data[0].montoPagado);
                    }else{
                      $("#pMonto").text("$/. "+data[0].montoPagado);
                    }

                    $("#txtFechaOperacion").val(data[0].fecha);
                    $("#txtCliente").val(data[0].cliente);
                    $("#txtLote").val(data[0].lote);
                    if(data[0].moneda=='soles'){
                      $("#txtMonto").val("S/. "+data[0].montoPagado);
                    }else{
                      $("#txtMonto").val("$/. "+data[0].montoPagado);
                    }

                    $("#pObservacion").text(data[0].observaciones); 
                    $("#txtObservacion").val(data[0].observaciones);

                    $("#modal_pago_adelantado").modal("show");


                    //$('#platillaI').printThis();
                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


           function registrarMovimientoCaja(idPago,index){
            //$('#platillaI').printThis();
                $.ajax({
                  url:'/registrarVentaMovimientoCaja/',
                  data:{'idPago':idPago,'cierreDetalle':$("#comboFiltro :selected").text()},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    if(data=='exito'){
                      var btnEnv=$('#example > tbody > tr:eq(' + (index) + ')').find('button.enviar').remove();
                      /*btnEnv.attr("class","btn traer btn-warning btn-icon-text waves-effect");
                      btnEnv.text("");
                      btnEnv.append("<i class='md md-undo'></i> Traer a Caja");*/ 
                    }
                    console.log(data);
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


          function eliminarMovimientoCaja(idPago,index){
            //$('#platillaI').printThis();
                $.ajax({
                  url:'/eliminarMovimientoCaja/',
                  data:{'idPago':idPago,'cierreDetalle':$("#comboFiltro :selected").text()},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    if(data=='exito'){
                      var btnEnv=$('#example > tbody > tr:eq(' + (index) + ')').find('button.enviar').removeClass();
                      btnEnv.attr("class","btn traer btn-warning btn-icon-text waves-effect");
                      btnEnv.text("");
                      btnEnv.append("<i class='md md-undo'></i> Traer a Caja"); 
                    }
                    console.log(data);
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


        function recuperarCierresCuentaCliente(idCC){
              $.ajax({
                url:'/RecuperarCuentasCierreVentaClienteAjax/',
                data:{'idCC':idCC},
                type:'GET',
                dataType:'json',
                success: function(data){
                  console.log("recuperando");
                  console.log(data.lista1[0]);
                  $("#example").html('');
                  $("#example").append(data.lista);
                  conf=data.lista1[0].split("/");
                  //$('.editable').editable();
                   
                  $('.editable').editable({
                      type: 'text', 
                      inputclass:'input-sm lebar'
                  }); 

                },
                error: function(xhr, textStatus, errorThrown) {
                        console.log(xhr.responseText);
                },
            }); 
          }





    </script>
        <br>
      </div>
    </div>
</div>
{% endblock content1 %}